variable "api_token" {
    description = "Cloudflare account API token"
    type        = string
    default     = ""
    sensitive   = true
}

variable "a_records" {
    description = "DNS A records to create"
    type        = map(string)
    default     = {}
}

variable "cname_records" {
    description = "DNS CNAME records to create"
    type        = map(string)
    default     = {}
}

variable "root_records" {
    description = "Special root records to create with name @"
    type        = map(string)
    default     = {}
}